# Class: oProgressDialog

## $. oProgressDialog

An simple progress dialog to display the progress of a task.

#### new $.oProgressDialog(labelText, range, title, show)

openHarmony/openHarmony_dialog.js, line 261
  The $.oProgressDialog constructor.

  Name | Type | Default | Description
  --- | --- | --- | ---
  `labelText` | string |  | The path to the folder.
  `range` | string | 100 | optional The path to the folder.
  `title` | string |  | optional The title of the dialog
  `show` | bool | false | optional Whether to immediately show the dialog.

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `cancelled` | bool | Whether the progress bar was cancelled.

### Members

#### cancelledint

  Whether the Progress Dialog was cancelled by the user

#### rangeint

  The range of the window.

#### textstring

  The text of the window.

#### valueint

  The current value of the window.

### Methods

#### close()

openHarmony/openHarmony_dialog.js, line 391
  Closes the dialog.

#### show()

openHarmony/openHarmony_dialog.js, line 364
  Shows the dialog.